Create transfer quote
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/due/transfers/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"rail": "<string>",
"currency": "<string>",
"amount": "<string>"
},
"destination": {
"rail": "<string>",
"currency": "<string>",
"amount": "<string>"
}
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/due/transfers/quote"
payload = {
"source": {
"rail": "<string>",
"currency": "<string>",
"amount": "<string>"
},
"destination": {
"rail": "<string>",
"currency": "<string>",
"amount": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {rail: '<string>', currency: '<string>', amount: '<string>'},
destination: {rail: '<string>', currency: '<string>', amount: '<string>'}
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/due/transfers/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"token": "<string>",
"fxRate": 123,
"fxMarkup": 123,
"expiresAt": "<string>",
"source": {
"rail": "<string>",
"currency": "<string>",
"amount": "<string>",
"fee": "<string>",
"applicationFee": "<string>",
"totalFee": "<string>"
},
"destination": {
"rail": "<string>",
"currency": "<string>",
"amount": "<string>",
"fee": "<string>",
"applicationFee": "<string>",
"totalFee": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Due
Create transfer quote
Prices a transfer. source and destination each carry a rail,
currency, and amount. Application fees are enforced server-side from the
custodian’s configuration; any client-supplied applicationFee* is stripped.
POST
/
clients
/
me
/
integrations
/
due
/
transfers
/
quote
Create transfer quote
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Response
Quote created
Show child attributes
Show child attributes
Was this page helpful?
⌘I